Package org.eclipse.ecf.remoteservice.rest

# Class RestCallableFactory

java.lang.Object
org.eclipse.ecf.remoteservice.rest.RestCallableFactory

public class RestCallableFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`RestCallableFactory()`

## Method Summary

Modifier and Type
Method
Description
`static IRemoteCallable`
`createCallable(String method)`
`static IRemoteCallable`
`createCallable(String method, String resourcePath)`
`static IRemoteCallable`
`createCallable(String method, String resourcePath, IRemoteCallParameter[] defaultParameters)`
`static IRemoteCallable`
`createCallable(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, AbstractRequestType requestType)`
`static IRemoteCallable`
`createCallable(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, AbstractRequestType requestType, long defaultTimeout)`
`static IRemoteCallable`
`createCallable(String method, String resourcePath, AbstractRequestType requestType)`
`static IRemoteCallable`
`createCallable(String method, String resourcePath, AbstractRequestType requestType, long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RestCallableFactory

public RestCallableFactory()

## Method Details

### createCallable

public static IRemoteCallable createCallable(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, AbstractRequestType requestType, long defaultTimeout)

### createCallable

public static IRemoteCallable createCallable(String method, String resourcePath, IRemoteCallParameter[] defaultParameters, AbstractRequestType requestType)

### createCallable

public static IRemoteCallable createCallable(String method, String resourcePath, IRemoteCallParameter[] defaultParameters)

### createCallable

public static IRemoteCallable createCallable(String method, String resourcePath)

### createCallable

public static IRemoteCallable createCallable(String method)

### createCallable

public static IRemoteCallable createCallable(String method, String resourcePath, AbstractRequestType requestType, long timeout)

### createCallable

public static IRemoteCallable createCallable(String method, String resourcePath, AbstractRequestType requestType)